From 4db51bd76c3e7e5b10fb924c71ab9c9f8d785923 Mon Sep 17 00:00:00 2001
From: Toyam Cox <Vaelatern@voidlinux.org>
Date: Tue, 28 May 2019 01:42:36 -0400
Subject: [PATCH 1/2] zfs: update to 0.8.0.

---
 srcpkgs/zfs/patches  |  0
 srcpkgs/zfs/template | 27 ++++++++++++++++++++-------
 2 files changed, 20 insertions(+), 7 deletions(-)
 delete mode 100644 srcpkgs/zfs/patches

diff --git a/srcpkgs/zfs/patches b/srcpkgs/zfs/patches
deleted file mode 100644
index e69de29bb2d..00000000000
diff --git a/srcpkgs/zfs/template b/srcpkgs/zfs/template
index 955e340df98..e2d7f7fd8c7 100644
--- a/srcpkgs/zfs/template
+++ b/srcpkgs/zfs/template
@@ -1,39 +1,47 @@
 # Template file for 'zfs'
 pkgname=zfs
-version=0.7.13
+version=0.8.0
 revision=1
 build_style=gnu-configure
 configure_args="--with-config=user --with-mounthelperdir=/usr/bin
  --with-udevdir=/usr/lib/udev --with-udevruledir=/usr/lib/udev/rules.d
  --with-dracutdir=/usr/lib/dracut --with-tirpc"
-hostmakedepends="dracut libtool pkg-config"
-makedepends="spl-devel zlib-devel libuuid-devel libblkid-devel libtirpc-devel attr-devel"
+hostmakedepends="dracut libtool pkg-config python3 automake"
+makedepends="zlib-devel libuuid-devel libblkid-devel libtirpc-devel attr-devel"
 conf_files="/etc/zfs/zed.d/zed.rc"
-short_desc="Z File System -- userland and kernel modules (using DKMS)"
+short_desc="Z File System -- userland, pyzfs, and kernel modules (using DKMS)"
 maintainer="Toyam Cox <Vaelatern@voidlinux.org>"
 license="CDDL-1.0"
 homepage="https://zfsonlinux.org/"
 distfiles="https://github.com/zfsonlinux/zfs/releases/download/zfs-${version}/zfs-${version}.tar.gz"
-checksum=d23f0d292049b1bc636d2300277292b60248c0bde6a0f4ba707c0cb5df3f8c8d
+checksum=0fd92e87f4b9df9686f18e2ac707c16b2eeaf00f682d41c20ea519f3a0fe4705
+
+replaces="spl<=0.7.13_1" # Because SPL was merged into zfs in 0.8.0
 
 dkms_modules="zfs ${version}"
-depends="dkms>=2.2.0.3_9 spl>=${version} perl"
+depends="dkms>=2.2.0.3_9 perl"
 
 pre_configure() {
 	export CFLAGS+=" -I${XBPS_CROSS_BASE}/usr/include/tirpc/"
+	autoreconf -fi
 	tar czf ../clean.tar.gz .
 }
 
 post_install() {
 	vlicense COPYRIGHT
-	vlicense OPENSOLARIS.LICENSE
+	vlicense LICENSE
+	vlicense NOTICE
 
 	vmkdir usr/src/${pkgname}-${version}
 	tar xf ../clean.tar.gz -C ${DESTDIR}/usr/src/${pkgname}-${version}
 	scripts/dkms.mkconf -v ${version} -f ${DESTDIR}/usr/src/${pkgname}-${version}/dkms.conf -n zfs
+	sed -i  -e 's/test "${PYTHON_VERSION:0:2}" = "3."/test "${PYTHON_VERSION##3.*}" = ""/' \
+		-e 's/test "${PYTHON_VERSION:0:2}" = "2."/test "${PYTHON_VERSION##2.*}" = ""/' \
+		${DESTDIR}/usr/src/${pkgname}-${version}/configure # This is necessary because of https://github.com/zfsonlinux/zfs/issues/8827
 
 	rm -rf ${DESTDIR}/usr/lib/systemd
 	rm -rf ${DESTDIR}/usr/share/initramfs-tools
+
 	# Contains ELF binaries. Remove it until upstream has a way to move this
 	# into /usr/libexec or similiar.
 	rm -rf ${DESTDIR}/usr/share/zfs/zfs-tests
@@ -46,9 +54,14 @@ zfs-devel_package() {
 		vmove usr/include
 		vmove "usr/lib/*.a"
 		vmove "usr/lib/*.so"
+		vmove usr/share/pkgconfig
 	}
 }
 
 do_clean() {
 	rm -f ../clean.tar.gz
 }
+
+# REMARKS:
+# Did not split out pyzfs, because it's distributed with zfs, and no reason to
+# send separately.

From c27c30e2abc565445b9216b146494d204de55ac6 Mon Sep 17 00:00:00 2001
From: Toyam Cox <Vaelatern@voidlinux.org>
Date: Tue, 28 May 2019 01:43:34 -0400
Subject: [PATCH 2/2] spl: removed due to a merger with the zfs tree

---
 srcpkgs/spl/template | 34 ----------------------------------
 1 file changed, 34 deletions(-)
 delete mode 100644 srcpkgs/spl/template

diff --git a/srcpkgs/spl/template b/srcpkgs/spl/template
deleted file mode 100644
index 364060c3167..00000000000
--- a/srcpkgs/spl/template
+++ /dev/null
@@ -1,34 +0,0 @@
-# Template file for 'spl'
-pkgname=spl
-version=0.7.13
-revision=1
-build_style=gnu-configure
-configure_args="--with-config=user"
-hostmakedepends="libtool"
-short_desc="Solaris Porting Layer -- userland and kernel modules (using DKMS)"
-maintainer="Toyam Cox <Vaelatern@voidlinux.org>"
-license="GPL-2.0-or-later"
-homepage="https://zfsonlinux.org/"
-distfiles="https://github.com/zfsonlinux/zfs/releases/download/zfs-${version}/spl-${version}.tar.gz"
-checksum=6fd4445850ac67b228fdd82fff7997013426a1c2a8fa9017ced70cc9ad2a4338
-
-dkms_modules="spl ${version}"
-depends="dkms>=2.2.0.3_9 ${pkgname}-devel>=${version}_${revision}"
-
-pre_configure() {
-	tar czf ../clean.tar.gz .
-}
-post_install() {
-	vmkdir usr/src/${pkgname}-${version}
-	tar xf ../clean.tar.gz -C ${DESTDIR}/usr/src/${pkgname}-${version}
-	scripts/dkms.mkconf -v ${version} -f ${DESTDIR}/usr/src/${sourcepkg}-${version}/dkms.conf -n spl
-}
-spl-devel_package() {
-	short_desc="Solaris Porting Layer -- development headers"
-	pkg_install() {
-		vmove usr/src/${sourcepkg}-${version}/include
-	}
-}
-do_clean() {
-	rm -f ../clean.tar.gz
-}
